"use strict";

window.timepickerClick = function(choice) {
	if (storage.sceneManager.visited.indexOf(choice) > -1) return;

	$_("[data-ui='messages']").removeClass("active");
	$_("[data-ui='text']").style('visibility', 'hidden');
	setTimeout(function () {
		$_("[data-ui='text']").style('visibility', 'visible');
	}, 1000);

	switch (choice) {
		case 1: 
			storage.sceneManager.pickedScene = 'university'
			break;
		case 2: 
			storage.sceneManager.pickedScene = 'seattle'
			break;
		case 3: 
			storage.sceneManager.pickedScene = 'hollywood'
			break;
		case 4: 
			storage.sceneManager.pickedScene = 'hongkong'
			break;
	}

	storage.sceneManager.visited.push(parseInt(choice));
	storage.sceneManager['option' + choice + 'Visited'] = 'tt-option-visited';

	$_("[data-ui='text']").show();
}

window.ttOptionClass = function(choice) {
	if (storage.sceneManager.visited.indexOf(choice) > -1) {
		return 'tt-option-visited';
	} else {
		return '';
	}
}

/* exported messages */
/* exported notifications */
/* exported particles */
/* exported music */
/* exported voice */
/* exported sound */
/* exported videos */
/* exported images */
/* exported scenes */
/* exported characters */
/* exported script */

/* global storage */

// Define the messages used in the game.
let messages = {
	"TimePicker": {
		"Title": "Choose time travel location:",
		"Message": "<div onclick='timepickerClick(1)' style='background-image: url(img/scenes/university.jpg)' class='tt-option-1 tt-option {{sceneManager.option1Visited}}'><span class='label'>University Of Washington 1963</span><span class='visited'>1963 Visited!</span></div>" +
							 "<div onclick='timepickerClick(2)' style='background-image: url(img/scenes/seattle.png)' class='tt-option-2 tt-option {{sceneManager.option2Visited}}'><span class='label'>Oakland, California 1967</span><span class='visited'>1967 Visited!</span></div>" +
							 "<div onclick='timepickerClick(3)' style='background-image: url(img/scenes/hollywood.jpg)' class='tt-option-3 tt-option {{sceneManager.option3Visited}}'><span class='label'>Hollywood 1970</span><span class='visited'>1970 Visited!</span></div>" +
							 "<div onclick='timepickerClick(4)' style='background-image: url(img/scenes/island.jpg)' class='tt-option-4 tt-option {{sceneManager.option4Visited}}'><span class='label'>Hong Kong 1972</span><span class='visited'>1972 Visited!</span></div>"
	}
};

// Define the notifications used in the game
let notifications = {
};

// Define the Particles JS Configurations used in the game
let particles = {
	'universe': {'particles':{'number':{'value':0,'density':{'enable':true,'value_area':800}},'color':{'value':'#ffffff'},'shape':{'type':'circle','stroke':{'width':0,'color':'#000000'},'polygon':{'nb_sides':5},'image':{'src':'img/github.svg','width':100,'height':100}},'opacity':{'value':0.5,'random':true,'anim':{'enable':false,'speed':1,'opacity_min':0.1,'sync':false}},'size':{'value':3,'random':true,'anim':{'enable':false,'speed':40,'size_min':0.1,'sync':false}},'line_linked':{'enable':false,'distance':150,'color':'#ffffff','opacity':0.4,'width':1},'move':{'enable':true,'speed':6,'direction':'none','random':false,'straight':false,'out_mode':'out','bounce':false,'attract':{'enable':false,'rotateX':600,'rotateY':1200}}},'interactivity':{'detect_on':'canvas','events':{'onhover':{'enable':false,'mode':'repulse'},'onclick':{'enable':true,'mode':'push'},'resize':true},'modes':{'grab':{'distance':400,'line_linked':{'opacity':1}},'bubble':{'distance':400,'size':40,'duration':2,'opacity':8,'speed':3},'repulse':{'distance':200,'duration':0.4},'push':{'particles_nb':4},'remove':{'particles_nb':2}}},'retina_detect':true}
}

// Define the music used in the game.
const music = {

};

// Define the voice files used in the game.
const voice = {

};

// Define the sounds used in the game.
const sound = {

};

// Define the videos used in the game.
const videos = {

};

// Define the images used in the game.
const images = {
};

// Define the backgrounds for each scene.
const scenes = {
	"lab": "timemachine.png",
	"university": "university.jpg",
	"seattle": "seattle.png",
	"hollywood": "hollywood.jpg",
	"hongkong": "island.jpg",
	"dark": "dark.png",
	"restaurant": "restaurant.jpg",
	"pool": "pool.jpg",
	"mcdonalds": "mcdonalds.jpg",
	"gym": "gym.jpg"
};

// Define the Characters
const characters = {
	"unknown": {
		"Name": "...",
		"Color": "#f4ff73",
	}, 
	"mm": {
		"Name": "Masked Man",
		"Color": "#f4ff73",
		"Images": { 
			"masked": "kato.png",
			"kicking": "katokick.png",
		}
	},
	"bl": {
		"Name": "Bruce Lee",
		"Color": "#f4ff73",
		"Images": { 
			"unmasked": "unmasked.png"
		}
	},
	"yb": {
		"Name": "Bruce the Student",
		"Color": "#f4ff73",
		"Images": {
			"default": "youngbruce.png",
			"tuxedo": "youngbrucetuxedo.png"
		}
	},
	"fb": {
		"Name": "Bruce the Family Man",
		"Color": "#f4ff73",
		"Images": {
			"default": "familybruce.png",
			"whole": "family2.png"
		}
	},	
	"hb": {
		"Name": "Bruce the Star",
		"Color": "#f4ff73",
		"Images": {
			"default": "stylishbruce.png",
			"shirtless": "socool.png"
		}
	},
	"sb": {
		"Name": "Bruce the Fighter",
		"Color": "#f4ff73",
		"Images": {
			"default": "fightingbruce.png",
			"shirtless": "shirtless2.png"
		}
	},
	"linda": {
		"Name": "Linda Lee - Bruce's Wife",
		"Color": "#f4ff73",
		"Images": {
			"default": "lindaold.png",
		}
	},
	"happygroupbruce": {
		"Name": "Bruce",
		"Color": "#f4ff73",
		"Images": {
			"default": "posing.png",
		}
	},
	"happygroupfriend1": {
		"Name": "Friend",
		"Color": "#f4ff73",
		"Images": {
			"default": "posing.png",
		}
	},	
	"happygroupfriend2": {
		"Name": "Other Friend",
		"Color": "#f4ff73",
		"Images": {
			"default": "posing.png",
		}
	},
	"bolo": {
		"Name": "Bolo Yeung",
		"Color": "#f4ff73",
		"Images": {
			"default": "bolo.png",
		}
	}
};

let script = {

	"Start": [
		"scene lab",
		// "jump lab-time-picker",
		// "jump conclusion",
		"centered <i> You enter into a secret laboratory. </i>",
		"centered <i> It appears to be empty... </i>",
		"show mm kicking with tada",
		"mm Yeeeeeiaaaa!",
		"show mm masked with bounce",
		"mm Oh it's you! Thank god.",
		"mm Sorry about that... I was afraid you might be someone else.",
		"mm Anyway, I'm glad you got my note, and that you came.",
		"mm I'm sure you must be wondering who I am...",
		"mm But I can't tell you just yet...",
		"mm All that I can tell you is... I figured it out.",
		"mm I created a working time machine.",

		{
			"Choice": {
				"Dialog": "<i> He created a working time machine? </i>",
				"1": {
					"Text": "I don't believe you.",
					"Do": "jump I_dont_believe"
				},
				"2": {
					"Text": "That's amazing! But why did you contact <i>me</i>?",
					"Do": "jump Thats_amazing"
				}
			}
		}
	],

	"I_dont_believe": [
		"mm That's fine.",
		"mm I didn't expect you to believe me right away.",
		"mm But when I tell you what it can do, you won't be able to resist.",
	  "mm ...",
	  "mm It can visit different moments in Bruce Lee's life!",
	  "<i> Hmmm... this is interesting. </i>",
	  "mm  I <i> thought </i> you'd be interested considering you're the foremost expert on Bruce Lee...",
	  "jump intro_end"
	],

	"Thats_amazing": [
		"mm I contacted you because you're the world's foremost expert on Bruce Lee.",
		"mm And this time machine can travel to different moments in Bruce's life!",
		"jump intro_end"
	],

	intro_end: [
		"centered This is shady...",
		"centered But if he's telling the truth...",
		"centered Then you can't turn him down!",
		"centered The chance to meet Bruce Lee is once in a lifetime!",
		"centered You decide to take the chance!",
		"mm I see you're intrigued.",
		"mm Take a look - just decide where you want to go.",
		"jump lab-time-picker"
	],

	lab_hub: [
		{'Conditional': {
			'Condition': function () {
				return storage.sceneManager.visited.length < 4;
			},
			'True': 'jump lab-time-picker',
			'False': 'jump conclusion'
		}}
	],

	"lab-time-picker": [
		"display message TimePicker",
		"scene lab with rubberBand",
		"wait 1000",
		"jump time-travel-space",
	],

	"time-travel-space": [
		"scene dark", 
		// "particles universe",
		"centered You step through the fabric of time!",
		// "stop particles",
		"scene {{sceneManager.pickedScene}}",
		"jump {{sceneManager.pickedScene}}"
	],

	university: [
		"centered You find yourself on the campus of a beautiful university.",
		"centered Someone approaches you who looks very familiar...",
		"show yb default with bounceInLeft",
		"yb Hi there! I noticed you looking lost.",
		"yb Are you a new student here?",

		{
			"Choice": {
				"Dialog": "<i> He's so young... He thinks I'm a student here? </i>",
				"1": {
					"Text": "Umm... yes, I'm a student.",
					"Do": "jump university_yes"
				},
				"2": {
					"Text": "No, I just travelled here from the future.",
					"Do": "jump university_future"
				}
			}
		}
	],

	university_yes: [	
		"yb Me too... We can be friends!",
		{
			"Choice": {
				"Dialog": "<i> He wants to be friends with me? </i>",
				"1": {
					"Text": "Ok...",
					"Do": "jump university_2"
				},
				"2": {
					"Text": "Definitely!",
					"Do": "jump university_2"
				}
			}
		}
	],

	university_future: [
		"yb Haha you're funny!",
		"yb Do you want to be friends?",
		{
			"Choice": {
				"Dialog": "<i> He wants to be friends with me? </i>",
				"1": {
					"Text": "Ok...",
					"Do": "jump university_2"
				},
				"2": {
					"Text": "Definitely!",
					"Do": "jump university_2"
				}
			}
		},
	], 

	university_2: [
		"show yb default with bounce",
		"yb Great!",
		"yb Us outcasts have to stick together.",

		{
			"Choice": {
				"Dialog": "<i>He thinks he's an outcast?</i>",
				"1": {
					"Text": "What do you mean outcasts?",
					"Do": "jump university_3"
				},
				"2": {
					"Text": "You... an outcast?",
					"Do": "jump university_3"
				}
			}
		}
	],

	university_3: [
		"yb I've always kind of been an outcast.",
		"yb I used to get in fights a lot when I was a kid.", 
		"yb And ever since I moved to America I've kind of felt like an outcast...",

		{
			"Choice": {
				"Dialog": "<i> I always thought Bruce Lee was born with confidence... </i>",
				"1": {
					"Text": "I'm sorry to hear that.",
					"Do": "jump university_4"
				},
				"2": {
					"Text": "I feel that way sometimes too.",
					"Do": "jump university_4"
				}
			}
		}
	],

	university_4: [
		"yb Yeah well, I'm really glad I met you...",
		"yb See ya around.",
		"show yb default with bounceOutLeft",
		"wait 1000",
		"show mm masked with tada",
		"mm That was amazing!",
		{
			'Conditional': {
				'Condition': function () {
					if (storage.sceneManager.wholeTime) {
						return false;
					} else {
						storage.sceneManager.wholeTime = true;
						return true;
					}
				},
				'True': 'jump uni_2_lines',
				'False': 'jump post_university'
			}
		},
		"jump post_university"
	],

	uni_2_lines: [
		"<i>What the hell? Where did you come from?</i>",
		"mm I've been here the whole time.",
		"jump post_university"
	],

	post_university: [
		"mm Anyway come with me, we gotta get back.",
		"scene university with rubberBand",
		"wait 1000",
		"scene dark", 
		// "particles universe",
		"centered You step through the fabric of time!",
		// "stop particles",
		"scene lab",
		"show mm masked",
		"mm I can't believe we saw me... I mean <i> him </i> when he was young...",
		"mm So beautiful. So innocent.",
		{'Conditional': {
			'Condition': function () {
				return storage.sceneManager.visited.length < 4;
			},
			'True': 'mm I bet you want to see more.',
			'False': 'jump conclusion'
		}},
		"mm Go ahead, continue to explore through time!",
		"jump lab-time-picker"
	],

	seattle: [
		"centered You find yourself on a residential street in Oakland, California.",
		"show fb default with bounceInLeft",
		"fb Hi Neighbor!",
		"fb Haven't seen you around here before - I'm Bruce and this is my son Brandon.",
		"fb Where are you from?",

		{
			"Choice": {
				"Dialog": "<i> Maybe I should make something up to like... not mess up or timeline or something? </i>",
				"1": {
					"Text": "Hi! Just moved here from Omaha!",
					"Do": "jump seattle_omaha"
				},
				"2": {
					"Text": "I'm from the future actually - I just appeared here.",
					"Do": "jump seattle_future"
				}
			}
		}
	],

	seattle_omaha: [
		"fb Well welcome!",
		"fb Oakland is a little different than Omaha.",
		"fb I hope you like it.",
		"jump seattle_2"
	],

	seattle_future: [
		"fb The future?!",
		"fb ...",
		"show fb default with bounce",
		"fb Hahahahaha!",
		"fb I love it! Come to think of it, you do look like you're from the future",
		"fb I bet you're in the fashion industry!",
		"jump seattle_2"
	],

	seattle_2: [
		"fb Me, I'm a martial artist.",
		"fb I have a couple schools...",
		"fb And I'd love to give you a neighbor discount if you're interested!",

		{
			"Choice": {
				"Dialog": "<i> Martial arts lessons with Bruce Lee! Of cource I'm interested. </i>",
				"1": {
					"Text": "Yeah! Sign me up!",
					"Do": "jump seattle_3"
				},
				"2": {
					"Text": "Definitely!",
					"Do": "jump seattle_3"
				}
			}
		}
	],

	seattle_3: [
		"fb Great!",
		"fb You won't regret it!",
		"centered A woman runs to Bruce slightly out of breath.",
		"show linda default with bounceInLeft",
		"show fb default with bounceOutRight",
		"linda Bruce! Bruce!",
		"show linda default with bounceOutLeft",
		"show fb default with bounceInRight",
		"fb Linda what's wrong? This is our new neighbor.",
		"show linda default with bounceInLeft",
		"show fb default with bounceOutRight",
		"linda Oh hello - welcome to the neighborhood.",
		"show linda default with bounceOutLeft",
		"show fb default with bounceInRight",
		"fb What did you want to tell me?",
		"show linda default with bounceInLeft",
		"show fb default with bounceOutRight",
		"linda Great news!",
		"linda You know that supreme court case that's been in the news? Loving v. Virginia?",
		"show linda default with bounceOutLeft",
		"show fb default with bounceInRight",
		"fb I think so...",
		"show linda default with bounceInLeft",
		"show fb default with bounceOutRight",
		"linda Well they just made a decision!",
		"linda Now interraccial marriage will be legal nationwide!",
		"show linda default with bounceOutLeft",
		"show fb default with bounceInRight",
		"fb Wow that's amazing!",
		"fb We should celebrate!",
		"<i> He turns back to you </i>",
		"fb Nice to meet you neighbor, hope to see you around again soon.",
		"show fb default with bounceOutLeft",
		"wait 500",
		"show mm masked with tada",
		"mm Wow!",
		"mm Bruce with his whole family!",
		"mm What a tender and loving soul.",
		{'Conditional': {
			'Condition': function () {
				if (storage.sceneManager.wholeTime) {
					return false;
				} else {
					storage.sceneManager.wholeTime = true;
					return true;
				}
			},
			'True': {
				"Choice": {
					"Dialog": "<i> Where did <b> he </b> come from?! </i>",
					"1": {
						"Text": "Have you been here the whole time?",
						"Do": "jump seattle_4"
					},
					"2": {
						"Text": "Yea... that was pretty cool.",
						"Do": "jump seattle_5"
					}
				}
			},
			'False': 'jump seattle_5'
		}}
	],

	seattle_4: [
		"mm Yes!",
		"jump seattle_5"
	],

	seattle_5: [
		"mm Anyway.. We have to get back to the lab!",
		"mm Unexplained time travel mechanism... Activate!",
		"scene seattle with rubberBand",
		"wait 1000",
		"scene dark", 
		// "particles universe",
		"centered You step through the fabric of time!",
		// "stop particles",
		"scene lab",
		"show mm masked",
		"mm Just a normal man with his family. How noble.",
		"mm I... I mean he, was such a normal guy at one point...",
		{'Conditional': {
			'Condition': function () {
				return storage.sceneManager.visited.length < 4;
			},
			'True': 'mm I bet you want to see more.',
			'False': 'jump conclusion'
		}},
		"mm Go ahead, continue to explore through time!",
		"jump lab-time-picker"
	],

	hollywood: [
		"centered You find yourself in downtown Hollywood, Los Angeles",
		"show hb default with bounceInLeft",
		"hb Hey baby!",

		{
			"Choice": {
				"Dialog": "<i> So stylish! </i>",
				"1": {
					"Text": "Back at ya... Dadd-i-oh?.",
					"Do": "jump hollywood_daddy"
				},
				"2": {
					"Text": "Hi! I just came here from the future.",
					"Do": "jump hollywood_future"
				}
			}
		}
	],

	hollywood_daddy: [
		"hb Yeah! I like that! Back at ya again!",
		"jump hollywood_2"
	],

	hollywood_future: [
		"hb The future!?",
		"hb Cool... cool.",
		"jump hollywood_2"
	],

	hollywood_2: [
		"hb Anyway, you look familiar...",
		"hb Have I seen you on TV or in a movie or something?",
		{
			"Choice": {
				"Dialog": "<i> He thinks I could be a movie star? </i>",
				"1": {
					"Text": "Yea... I've been in a couple commercials.",
					"Do": "jump hollywood_3"
				},
				"2": {
					"Text": "I'm a model.",
					"Do": "jump hollywood_3"
				}
			}
		}
	],

	hollywood_3: [
		"hb Awesome!",
		"hb I've gotten a few small roles...",
		"hb But no one wants to make me a leading man...",
		"hb I'm thinking about going to Hong Kong to see if I have more luck.",
		"hb But I swear to you I'll be the first leading Asian man in Hollywood!",
		"centered Some friendly looking men approach Bruce.",
		"hide hb default",
		"show happygroupbruce default with tada",
		"happygroupbruce Oh my friends!",
		"happygroupfriend1 Hiiiiii Bruce!",
		"happygroupfriend2 Who's this cutie?",
		"happygroupbruce Oh we just met. They're in show business like us!",
		"happygroupfriend1 Nice to meet you!",
		"happygroupbruce What are you all up to?",
		"happygroupfriend2 Don't you know!",
		"happygroupfriend2 It's the one year anniversary of the Stonewall Riots.",
		"happygroupfriend1 There's going to be a parade!",
		"happygroupfriend2 And there are marches happening simultaneously in New York and Chicago as well!",
		"happygroupfriend1 They're calling it a \"Gay Pride Parade\"!",
		"happygroupbruce That's awesome! I wish I could go but I have an audition.",
		"happygroupfriend1 How about you? Would you like to join us?",
		{
			"Choice": {
				"Dialog": "<i> Wow! I could really witness history! But I don't think I should... </i>",
				"1": {
					"Text": "Unfortunately I have an audition as well.",
					"Do": "jump hollywood_4"
				},
				"2": {
					"Text": "I'm... meeting up with some other friends to go. Hope to see you there!",
					"Do": "jump hollywood_4"
				}
			}
		}
	],

	hollywood_4: [
		"happygroupfriend1 Alright! Well see ya around!",
		"happygroupbruce And I better get to my audition.",
		"happygroupbruce Nice to meet you!",
		"show happygroupbruce default with bounceOutLeft",
		"wait 500", 
		"show mm masked with tada",
		"mm Wow!",
		"mm Bruce Lee on the edge of his fame.",
		"mm I... I mean <u>he</u> was so determined!",
		"mm Anyway... We have to get back to the lab.",
		"mm Time travel GOOOO!",
		"scene hollywood with rubberBand",
		"wait 1000",
		"scene dark", 
		// "particles universe",
		"centered You step through the fabric of time!",
		// "stop particles",
		"scene lab",
		"show mm masked",
		{'Conditional': {
			'Condition': function () {
				return storage.sceneManager.visited.length < 4;
			},
			'True': 'mm I bet you want to see more.',
			'False': 'jump conclusion'
		}},
		"mm Go ahead, continue to explore through time!",
		"jump lab-time-picker"
	],

	hongkong: [
		"centered You find yourself on a rocky island in southern China.",
		"centered You see film cameras and crew around you.",
		"show sb default with bounceInLeft",
		"sb Was that take okay?",
		{
			"Choice": {
				"Dialog": "<i> He's asking me? Better answer as if I didn't just appear out of nowhere. </i>",
				"1": {
					"Text": "It was perfect!",
					"Do": "jump hongkong_good_take"
				},
				"2": {
					"Text": "I didn't see it. I just travelled here from the future.",
					"Do": "jump hongkong_future"
				}
			}
		}
	],

	hongkong_good_take: [
		"sb Thanks... but I think we should do it again.",
		"sb I can do it faster.",
		"jump hongkong_2"
	],

	hongkong_future: [
		"sb What?",
		"sb Haha - I have no idea what you're talking about, but I think we should do that take again.",
		"jump hongkong_2"
	],

	hongkong_2: [
		"show sb default with bounceOutRight",
		"show bolo default with bounceInLeft",
		"bolo Hey Bruce that was great!",
		"show sb default with bounceInRight",
		"show bolo default with bounceOutLeft",
		"sb Oh look it's Bolo Yeung - 10 time Mr. Hong Kong body building champion.",
		"show sb default with bounceOutRight",
		"show bolo default with bounceInLeft",
		"bolo Haha Bruce! You don't have to say that every time you talk to me.",
		"show sb default with bounceInRight",
		"show bolo default with bounceOutLeft",
		"sb I just want people to know how cool you are Bolo.",
		"show sb default with bounceOutRight",
		"show bolo default with bounceInLeft",
		"bolo Lol. Thanks Bruce.",
		"bolo Listen I was wondering. How did you do all that without breaking a sweat?",
		"show sb default with bounceInRight",
		"show bolo default with bounceOutLeft",
		"sb I recently got the sweat glands in my armpits removed.",
		"show sb default with bounceOutRight",
		"show bolo default with bounceInLeft",
		"bolo Huh...",
		"centered Someone yells \"places!\"",
		"show sb default with bounceInRight",
		"show bolo default with bounceOutLeft",
		"sb Let's make this next take the best one yet!",
		"show sb default with bounceOutLeft",
		"wait 500",
		"show mm masked with tada",
		"mm Holy crap! Do you realize that we're on the set of Enter The Dragon?",
		"mm This is history in the making!",
		"mm Bruce must be very busy. We should head out.",
		"mm I don't want to do anything to mess up this timeline!",
		"mm Let's open a tesseract!",
		"scene hongkong with rubberBand",
		"wait 1000",
		"scene dark", 
		// "particles universe",
		"centered You step through the fabric of time!",
		// "stop particles",
		"scene lab",
		"show mm masked",
		{'Conditional': {
			'Condition': function () {
				return storage.sceneManager.visited.length < 4;
			},
			'True': 'mm I bet you want to see more.',
			'False': 'jump conclusion'
		}},
		"mm Go ahead, continue to explore through time!",
		"jump lab-time-picker"
	],

	conclusion: [
		"mm So that's it.",
		"mm You've visited every time period that my time machine can go to.",
		"mm You've experienced the depth and breadth of Bruce Lee's life.",
		"mm Only now can I reveal to you the truth of my identity...",
		"hide mm masked",
		"show bl unmasked with tada",
		"bl It is I! Bruce Lee!",
		{
			"Choice": {
				"Dialog": "<i> ... </i>",
				"1": {
					"Text": "Yeah, Bruce, it was pretty obvious.",
					"Do": "jump conclusion_obvious"
				},
				"2": {
					"Text": "I can't believe it! Bruce Lee?! But how?",
					"Do": "jump conclusion_really"
				}
			}
		}
	],

	conclusion_obvious: [
		"mm Obvious? Then why didn't you say something?",
		"...",
		"jump conclusion_2"
	],

	conclusion_really: [
		"mm Yes. I know how shocking this is.",
		"jump conclusion_2"
	],

	conclusion_2: [
		"mm Anyway, that is not the only secret I have to tell!",
		"mm My real secret is this: ",
		"mm I brought you here to make a decision...", 
		"mm For I must trade places with a Bruce Lee of one era.",
		"mm And it is <i>your</i> decision.",
		{
			"Choice": {
				"Dialog": "<i> He has to change places with one of the Bruce Lee's I visited? </i>",
				"1": {
					"Text": "What!? Why!? And how did you get here? How are you alive?",
					"Do": "jump conclusion_explanation"
				},
				"2": {
					"Text": "No, I'm not going to make that decision. It doesn't even make sense!",
					"Do": "jump conclusion_onemorechance"
				}
			}
		}
	],

	conclusion_explanation: [
		"mm There's no time to explain!",
		"mm The time rift is about to close!",
		"mm You must make a choice!",
		"centered Time rift? What is he talking about? He just seems to be making things up at this point.",
		"jump conclusion_choice"
	],

	conclusion_onemorechance: [
		"mm You must make the decision!",
		"mm If you don't I'll make the decision for you!",
		{
			"Choice": {
				"Dialog": "<i> This doesn't make any sense. </i>",
				"1": {
					"Text": "Fine, I'll choose.",
					"Do": "jump conclusion_choice"
				},
				"2": {
					"Text": "No I won't.",
					"Do": "jump conclusion_youngbruce"
				}
			}
		}
	],


	conclusion_choice: [
		{
			"Choice": {
				"Dialog": "<i> What Bruce Lee will I choose? </i>",
				"1": {
					"Text": "Young Bruce",
					"Do": "jump conclusion_youngbruce"
				},
				"2": {
					"Text": "Family Man Bruce",
					"Do": "jump conclusion_familyman"
				},
				"3": {
					"Text": "Hollywood Bruce",
					"Do": "jump conclusion_hollywood"
				},
				"4": {
					"Text": "Move Star Fighter Bruce",
					"Do": "jump conclusion_fighterbruce"
				}
			}
		}
	],

	conclusion_autochoice: [
		"jump conclusion_youngbruce"
	],

	conclusion_youngbruce: [
		"show bl unmasked with lightSpeedOut",
		"show yb default with lightSpeedIn",
		"wait 2000",
		"yb What?! Where am I?",
		"hide yb default",
		"scene dark",
		"centered One month later...",
		"scene restaurant",
		"centered You are enjoying dinner with young Bruce Lee in a fancy restaurant.",
		"show yb tuxedo with bounceInLeft",
		"yb You know what...",
		"yb I'm glad you pulled me unwillingly into your time...",
		"yb ...so I could be with you.",
		"jump the_end"
	],

	conclusion_familyman: [
		"mm Good choice and goodbye!!!",
		"show bl unmasked with lightSpeedOut",
		"show fb whole with lightSpeedIn",
		"wait 2000",
		"fb Huh!? What's going on?",
		"hide fb whole",
		"scene dark",
		"centered One month later...",
		"scene mcdonalds",
		"centered You are enjoying a meal with Bruce and his family.",
		"show fb default with bounceInLeft",
		"fb You know what...",
		"fb I'm glad you pulled my family and I unwillingly into your time...",
		"fb ...because now we get to be with you.",
		"jump the_end"
	],

	conclusion_hollywood: [
		"mm Good choice and goodbye!!!",
		"show bl unmasked with lightSpeedOut",
		"show hb default with lightSpeedIn",
		"wait 2000",
		"hb What?! Where am I?",
		"hide hb default",
		"scene dark",
		"centered One month later...",
		"scene pool",
		"show hb shirtless with bounceInLeft",
		"centered You are hanging poolside with Bruce.",
		"hb You know what...",
		"hb I'm glad you pulled me unwillingly into your time...",
		"hb ...so I could be with you.",
		"jump the_end"
	],

	conclusion_fighterbruce: [
		"mm Good choice and goodbye!!!",
		"show bl unmasked with lightSpeedOut",
		"show sb default with lightSpeedIn",
		"wait 2000",
		"sb What?! Where am I?",
		"hide sb default",
		"scene dark",
		"centered One month later...",
		"scene gym",
		"show sb shirtless with bounceInLeft",
		"centered You and Bruce are working out together.",
		"sb You know what...",
		"sb I'm glad you pulled me unwillingly into your time...",
		"sb ...so I could be with you.",
		"jump the_end"
	],

	the_end: [
		"scene dark",
		"centered The End. Thanks for playing.",
		"end"
	]

};